Page MenuHomePhabricator

Integrate namespace and tag selectors into the filter menu
Closed, ResolvedPublic40 Story Points

Description

Take the namespace dropdown (from T163521: Replace "Namespace" widget in RCFilters with a user-friendly OOUI version) and the tag dropdown (from T161650: Replace "Tag filter" input with a dropdown+lookup widget in RCFilters) and combine them into the filter dropdown as shown in the mockups for T159942: Explore designs for including filtering for users, edit tags, and namespaces. To see these functions in action, go to the prototype.

Specific integration issues (not an exhaustive list):

Both Tag and Namespace menus

  • Namespace and Tag selections should appear as filter "bubbles" in the active filters area
  • The menus will show the complete list of Tags and Namespaces available for the relevant wiki.
  • For the first time, reviewers will be able to select multiple tags and namespaces. In terms of the existing beta filter functionality, Tags and Namespaces each comprise separate filter "groups." So, within the Tags or Namespaces menus, options relate to one another via OR, (meaning that the more Namespaces I click the broader my search). But between groups, the relationship is AND.
  • Typing ":' in the Search bar should switch to namespace mode, and typing "#" should switch to tag mode
  • Footer buttons can be used to switch modes as well
  • When a "filter bubble" in the active filters area is clicked, we need to switch to the relevant mode and find it in the relevant menu.
  • Generally, we need to decide if we're going to implement this as three separate menus that are swapped out, or one integrated menu

Namespace menu specific

  • The Namespaces menu includes an Exclude button. All Namespace filters will, at any given time, be EITHER in include or exclude mode. These modes cannot be mixed.
    • When the users clicks the Exclude button, all Namespace filter tags will begin with :not—e.g., :not Article. Users can't mix Exclude with Include filters. If the Exclude button is turned off, then all ":not" prefixes disappear, and the filters are all in "include" mode.
  • Full coverage: the Namespaces menu options together constitute full coverage.
  • The Namespaces menu will be ordered according to the canonical (numerical) order (with each namespace and its associated Talk namespace grouped).

Tag menu specific

  • Full coverage: The Tags menu options do not constitute full coverage.
  • The Tags menu should show only active tags and should be ordered by popularity alphabetically.
  • In the Tags menu, each Tag gets a Description text. Description texts will be truncated to one line, followed by ellipses. When the user hovers over a truncated description, the entire description displays.
  • The Tags menu includes a "Learn more" link that goes to this page on the relevant wiki.

Event Timeline

Catrope created this task.Apr 29 2017, 12:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2017, 12:39 AM

Change 353201 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Add 'views' concept and a namespace view to RCFilters

https://gerrit.wikimedia.org/r/353201

Change 356056 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Add edit tags drop down

https://gerrit.wikimedia.org/r/356056

Change 359071 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable $wgStructuredChangeEnableExperimentalViews in beta labs

https://gerrit.wikimedia.org/r/359071

Change 353201 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Add 'views' concept and a namespace view to RCFilters

https://gerrit.wikimedia.org/r/353201

Change 359071 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable $wgStructuredChangeEnableExperimentalViews in beta labs

https://gerrit.wikimedia.org/r/359071

Change 356056 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Add edit tags drop down

https://gerrit.wikimedia.org/r/356056

Etonkovidova updated the task description. (Show Details)Jun 20 2017, 5:02 PM
Etonkovidova updated the task description. (Show Details)Jul 5 2017, 7:43 PM
Etonkovidova added a subscriber: Etonkovidova.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.